aboutsummaryrefslogtreecommitdiffstats
path: root/print/clibpdf/files
diff options
context:
space:
mode:
authorknu <knu@FreeBSD.org>2000-08-22 22:11:11 +0800
committerknu <knu@FreeBSD.org>2000-08-22 22:11:11 +0800
commit0505dfa46c3cce2bc8acc1e8610eed9265525298 (patch)
tree1f1001747aa53b9d98d60035b1ad22816802e5aa /print/clibpdf/files
parent589ac2cfa2f9feec7b73c1a5c27e7b7d97db8367 (diff)
downloadfreebsd-ports-gnome-0505dfa46c3cce2bc8acc1e8610eed9265525298.tar.gz
freebsd-ports-gnome-0505dfa46c3cce2bc8acc1e8610eed9265525298.tar.zst
freebsd-ports-gnome-0505dfa46c3cce2bc8acc1e8610eed9265525298.zip
Add clibpdf, a library for creating PDF (Acrobat) files directly
via C language programs.
Diffstat (limited to 'print/clibpdf/files')
-rw-r--r--print/clibpdf/files/esecanna.sh39
-rw-r--r--print/clibpdf/files/patch-aa22
2 files changed, 61 insertions, 0 deletions
diff --git a/print/clibpdf/files/esecanna.sh b/print/clibpdf/files/esecanna.sh
new file mode 100644
index 000000000000..a8fc53c3f75a
--- /dev/null
+++ b/print/clibpdf/files/esecanna.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# $FreeBSD: /tmp/pcvs/ports/print/clibpdf/files/Attic/esecanna.sh,v 1.1 2000-08-22 14:11:10 knu Exp $
+
+esecannaserver="!!PREFIX!!/sbin/esecannaserver"
+
+case "$1" in
+start)
+ if [ -f !!PREFIX!!/vje30/.version ] \
+ && grep -qw 'FREE TRIAL VERSION' !!PREFIX!!/vje30/.version; then
+ echo ''
+ echo 'esecanna:'
+ echo ' Using VJE-Delta 3.0 trial, it is unable to connect to vjed on startup.'
+ echo ' Please execute $esecannaserver manually after once you run vje.'
+ exit 1
+ fi
+
+ if [ -x $esecannaserver ]; then
+ rm -f /tmp/.iroha_unix/IROHA
+ echo -n ' esecanna: '
+ $esecannaserver
+ fi
+ ;;
+stop)
+ pidfile="/var/run/esecanna.pid"
+ if [ -f $pidfile ]; then
+ kill `cat $pidfile` && echo -n ' esecanna'
+ rm $pidfile
+ else
+ echo ' esecanna: not running'
+ fi
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ exit 64
+ ;;
+esac
+
+exit 0
diff --git a/print/clibpdf/files/patch-aa b/print/clibpdf/files/patch-aa
new file mode 100644
index 000000000000..2e3057048cb9
--- /dev/null
+++ b/print/clibpdf/files/patch-aa
@@ -0,0 +1,22 @@
+--- Makefile.FreeBSD.orig Sun Nov 21 14:54:44 1999
++++ Makefile.FreeBSD Tue Aug 22 22:23:03 2000
+@@ -1,8 +1,8 @@
+ # Makefile for ClibPDF library - FreeBSD/gcc
+ # make lib; make install OR make shlib; make shinstall
+
+-LIB_FILE=libcpdfm.a
+-SHLIB_FILE=libcpdfm.sl
++LIB_FILE=libcpdf.a
++SHLIB_FILE=libcpdf.so
+ # LIB_FILE=libcpdfpm.a
+ # SHLIB_FILE=libcpdfpm.sl
+
+@@ -75,7 +75,7 @@
+
+ $(SHLIB_FILE): $(OBJS) $(POBJS) $(ZOBJS) Makefile
+ rm -f $(SHLIB_FILE)
+- ld -b -o $(SHLIB_FILE) $(OBJS) $(POBJS) $(ZOBJS)
++ ld -shared -o $(SHLIB_FILE) $(OBJS) $(POBJS) $(ZOBJS)
+
+ install: lib
+ # mkdir -p $(LIB_DIR)